Qt Cryptographic Architecture: QCA::Algorithm Class Reference

Qt Cryptographic Architecture

Public Member Functions | Protected Member Functions | List of all members
QCA::Algorithm Class Reference
QCA user API

`#include <QtCrypto>`

## Public Member Functions
| Algorithm (const Algorithm &from)
void | change (Provider::Context *c)
void | change (const QString &type, const QString &provider)
Provider::Context * | context ()
const Provider::Context * | context () const
Algorithm & | operator= (const Algorithm &from)
Provider * | provider () const
Provider::Context * | takeContext ()
QString | type () const

## Protected Member Functions
| Algorithm ()
| Algorithm (const QString &type, const QString &provider)

## Detailed Description

General superclass for an algorithm.

This is a fairly abstract class, mainly used for implementing the backend "provider" interface.

## Constructor & Destructor Documentation

## ◆ Algorithm() [1/3]

QCA::Algorithm::Algorithm | ( | const Algorithm & | from | ) |

Standard copy constructor.

Parameters

  from | the Algorithm to copy from

## ◆ Algorithm() [2/3]

QCA::Algorithm::Algorithm | ( |  | ) |
| protected

Constructor for empty algorithm.

## ◆ Algorithm() [3/3]

QCA::Algorithm::Algorithm | ( | const QString & | type,
|  | const QString & | provider
| ) |  |
| protected

Constructor of a particular algorithm.

Parameters

  type | the algorithm to construct
  provider | the name of a particular Provider

## Member Function Documentation

## ◆ operator=()

Algorithm& QCA::Algorithm::operator= | ( | const Algorithm & | from | ) |

Assignment operator.

Parameters

  from | the Algorithm to copy state from

## ◆ type()

QString QCA::Algorithm::type | ( |  | ) | const

The name of the algorithm type.

## ◆ provider()

Provider* QCA::Algorithm::provider | ( |  | ) | const

The name of the provider.

Each algorithm is implemented by a provider. This allows you to figure out which provider is associated

## ◆ context() [1/2]

Provider::Context* QCA::Algorithm::context | ( |  | ) |

The context associated with this algorithm

## ◆ context() [2/2]

const Provider::Context* QCA::Algorithm::context | ( |  | ) | const

The context associated with this algorithm

## ◆ change() [1/2]

void QCA::Algorithm::change | ( | Provider::Context * | c | ) |

Set the Provider for this algorithm

Parameters

  c | the context for the Provider to use

## ◆ change() [2/2]

void QCA::Algorithm::change | ( | const QString & | type,
|  | const QString & | provider
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Parameters

  type | the name of the algorithm to use
  provider | the name of the preferred provider

## ◆ takeContext()

Provider::Context* QCA::Algorithm::takeContext | ( |  | ) |

Take the Provider from this algorithm

The documentation for this class was generated from the following file:

- qca_core.h